For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request categories
        • GETGet service request category by ID
        • GETGet all service request history
        • GETGet service request history by ID
        • GETGet all service request priorities
        • GETGet service request priority by ID
        • GETGet all service request statuses
        • GETGet service request status by ID
        • POSTCreate Service Request: Rent Manager
        • PUTUpdate a service request for Rent Manager
        • POSTCreate Service Request History: Rent Manager
        • POSTCreate Service Request Files: Rent Manager
        • POSTCreate Service Request Note: Rent Manager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerService Requests

Get all service request history

GET
/v1/service-request-history/
GET
/v1/service-request-history/
$curl https://api.propexo.com/v1/service-request-history/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {
5 "field": "created_at",
6 "direction": "desc"
7 }
8 ],
9 "offset": 0,
10 "limit": 100,
11 "hasMore": true,
12 "total": 1000
13 },
14 "results": [
15 {
16 "id": "clwktsp9v000008l31iv218hn",
17 "created_at": "2024-03-21T15:38:08.337Z",
18 "updated_at": "2024-03-22T10:59:45.119Z",
19 "last_seen": "2024-03-22T10:59:45.119Z",
20 "x_created_at": "2024-03-20T09:15:00.000Z",
21 "x_id": "RM-ISSUE-20240321-001",
22 "x_property_id": "RM-PROP-1001",
23 "x_location_id": "RM-LOC-501",
24 "notes": "Tenant reported leaking faucet in kitchen. Maintenance scheduled for 03/23.",
25 "status_raw": null,
26 "creator_name": null,
27 "service_request_id": "clwktsp9v000008l31iv218hm",
28 "integration_id": "clwh5u07w000508me66sfh3um",
29 "integration_vendor": "RENTMANAGER",
30 "property_id": "clwi5xiix000008l6ctdgafyh"
31 }
32 ]
33}
Get all service request history
Was this page helpful?
Previous

Get service request history by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
service_request_idstringOptional
The Propexo unique identifier for the service request
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error